Loading...
Searching...
No Matches
ranges::adaptor_cursor< BaseIter, Adapt > Struct Template Reference
Views
Inheritance diagram for ranges::adaptor_cursor< BaseIter, Adapt >:

## Public Member Functions

template<typename OtherIter , typename OtherAdapt > requires (!same_as<adaptor_cursor<OtherIter, OtherAdapt>, adaptor_cursor>) && convertible_to<OtherIter, BaseIter> && convertible_to<OtherAdapt, Adapt>
| adaptor_cursor (adaptor_cursor< OtherIter, OtherAdapt > that)
| adaptor_cursor (BaseIter iter, Adapt adapt)